Skip to content

Enable or disable AD without leaving the domain

PUT
/directory-services/active-directory/enabled
curl --request PUT \
--url https://sylve.lan:8181/api/directory-services/active-directory/enabled \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "enabled": true }'

Enabled state

Media typeapplication/json
object
enabled
boolean
Examplegenerated
{
"enabled": true
}

OK

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}